"use strict";
this.name        = "DeathComms";
this.author      = "phkb";
this.copyright   = "2015 phkb";
this.description = "Adds the possibility of a comms message when ships die in battle";
this.licence     = "CC BY-NC-SA 4.0";

this._excludeRoles = ["police"];

//-------------------------------------------------------------------------------------------------------------
this.shipSpawned = function(ship) {
	if (ship.isStation == false &&
		ship.isThargoid == false &&
		ship.isPiloted == true &&
		ship.isSubEntity == false &&
		ship.isWeapon == false &&
		ship.isCargo == false &&
		ship.isRock == false &&
		ship.primaryRole != "wreckage" &&
		ship.scanClass != "CLASS_BUOY" &&
		this._excludeRoles.indexOf(ship.primaryRole) == -1) {
		// are autoWeapons on? if so, we can assume this is a standard ship, not a special OXP ship
		if (ship.autoWeapons == true) {
			// is there an existing script in shipDied?
			// move it to a new spot
			ship.script.$dc_old_shipDied = ship.script.shipDied;
			ship.script.shipDied = this.$dc_shipDied;
		}
	}
}

//-------------------------------------------------------------------------------------------------------------
this.$dc_shipDied = function(whom, why) {
	if (this.ship.script.$dc_old_shipDied) this.ship.script.$dc_old_shipDied(whom, why);
	
	if (this.ship.isDerelict == false && why != "removed" && Math.random() > 0.75) {
		//log(this.name, "Death Comms - sending comms");
		this.ship.commsMessage(expandDescription("[deathcomms_message]"), player.ship);
	}
}
